---
version: '3'
services:
  web:
    restart: always
    build: ./docsbox-master/docsbox
    expose:
      - "8000"
    links:
      - redis:redis
    volumes:
      - docsbox:/home/docsbox
      - media:/home/docsbox/media
    command: gunicorn -b :8000 docsbox:app
    networks: ['stack']

  rqworker:
    restart: always
    build: ./docsbox-master/docsbox
    links:
      - redis:redis
    volumes:
      - web
    command: rq worker -c docsbox.settings
    networks: ['stack']

  rqscheduler:
    restart: always
    build: ./docsbox-master/docsbox
    links:
      - redis:redis
    volumes:
      - web
    command: rqscheduler -H redis -p 6379 -d 0
    networks: ['stack']

  nginx:
    restart: always
    build: ./docsbox-master/nginx/
    ports:
      - "81:80"
    volumes:
      - web
    links:
      - web:web
    networks: ['stack']

  redis:
    restart: always
    image: redis:latest
    expose:
      - "6379"
    volumes:
      - redisdata:/data
    networks: ['stack']

volumes:
  esdata:
    driver: local
  redisdata:
    driver: local
  docsbox:
    driver: local
  media:
    driver: local

networks: {stack: {}}
